MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# client Struct Reference

`#include <client_internal.h>`

## Data Fields
GIOChannel * | channel
guint | source_id
struct fifo_buffer * | input
| the buffer for reading lines from the channel
unsigned | permission
int | uid
| the uid of the client process, or -1 if unknown
GTimer * | last_activity
| How long since the last activity from this client?
GSList * | cmd_list
int | cmd_list_OK
size_t | cmd_list_size
GQueue * | deferred_send
size_t | deferred_bytes
unsigned int | num
char | send_buf [16384]
size_t | send_buf_used
bool | idle_waiting
| is this client waiting for an "idle" response?
unsigned | idle_flags
| idle flags pending on this client, to be sent as soon as the client enters "idle"
unsigned | idle_subscriptions
| idle flags that the client wants to receive

## Detailed Description

Definition at line 34 of file client_internal.h.

## Field Documentation

GIOChannel* client::channel

Definition at line 35 of file client_internal.h.

GSList* client::cmd_list

Definition at line 51 of file client_internal.h.

int client::cmd_list_OK

Definition at line 52 of file client_internal.h.

size_t client::cmd_list_size

Definition at line 53 of file client_internal.h.

size_t client::deferred_bytes

Definition at line 55 of file client_internal.h.

GQueue* client::deferred_send

Definition at line 54 of file client_internal.h.

unsigned client::idle_flags

idle flags pending on this client, to be sent as soon as the client enters "idle"

Definition at line 66 of file client_internal.h.

unsigned client::idle_subscriptions

idle flags that the client wants to receive

Definition at line 69 of file client_internal.h.

bool client::idle_waiting

is this client waiting for an "idle" response?

Definition at line 62 of file client_internal.h.

struct fifo_buffer* client::input

the buffer for reading lines from the channel

Definition at line 39 of file client_internal.h.

GTimer* client::last_activity

How long since the last activity from this client?

Definition at line 49 of file client_internal.h.

unsigned int client::num

Definition at line 56 of file client_internal.h.

unsigned client::permission

Definition at line 41 of file client_internal.h.

char client::send_buf[16384]

Definition at line 58 of file client_internal.h.

size_t client::send_buf_used

Definition at line 59 of file client_internal.h.

guint client::source_id

Definition at line 36 of file client_internal.h.

int client::uid

the uid of the client process, or -1 if unknown

Definition at line 44 of file client_internal.h.

The documentation for this struct was generated from the following file:

- src/client_internal.h